var FX = {};
// to co się pojawia w dolnej belce - zmieniane przez poszczególne widoki
var FooterOptions = {
	prev: '<div class="item"><div class="img"><img src="images/help_l.png" /></div><div class="txt">Poprzedni</div></div>', 
	next: '<div class="item"><div class="img"><img src="images/help_r.png" /></div><div class="txt">Następny</div></div>', 
	next_prev: '<div class="item"><div class="img"><img src="images/help_lr.png" /></div><div class="txt">Następny/Poprzedni</div></div>', 
	input: '<div class="item"><div class="img"><img src="images/help_0_9.png" /></div><div class="txt">Wprowadź tekst</div></div>', 
	mode: '<div class="item"><div class="img"><img src="images/help_icon_b.png" /></div><div class="txt">Zmień tryb</div></div>', 
	scrl: '<div class="item"><div class="img"><img src="images/help_ud.png" /></div><div class="txt">Przewijaj tekst</div></div>', 
	ff_rev: '<div class="item"><div class="img"><img src="images/help_ff_rew.png" /></div><div class="txt">Przewijaj</div></div>', 
	logout: '<div class="item"><div class="img"><img src="images/help_icon_r.png" /></div><div class="txt">Wyloguj</div></div>', 
	fav_serie_add:    '<div class="item"><div class="img"><img src="images/help_icon_g.png" /></div><div class="txt">Dodaj program do ulubionych</div></div>', 
	fav_serie_remove:    '<div class="item"><div class="img"><img src="images/help_icon_g.png" /></div><div class="txt">Usuń program z ulubionych</div></div>', 
	fav_add_hint:    '<div class="item"><div class="img"><img src="images/help_icon_b.png" /></div><div class="txt">Dodaj odcinek do ulubionych</div></div>', 
	fav_remove_hint:    '<div class="item"><div class="img"><img src="images/help_icon_b.png" /></div><div class="txt">Usuń odcinek z ulubionych</div></div>', 
	fav_add:    '<div class="item"><div class="img"><img src="images/help_icon_b.png" /></div><div class="txt">Dodaj do ulubionych</div></div>', 
	fav_remove:    '<div class="item"><div class="img"><img src="images/help_icon_b.png" /></div><div class="txt">Usuń z ulubionych</div></div>', 
	remove:    '<div class="item"><div class="img"><img src="images/help_icon_b.png" /></div><div class="txt">Usuń z ulubionych</div></div>', 
	remove_serie:    '<div class="item"><div class="img"><img src="images/help_icon_g.png" /></div><div class="txt">Usuń z ulubionych</div></div>', 
	ret:    '<div class="item"><div class="img"><img src="images/return.png" /></div><div class="txt">Powrót</div></div>', 
	move:   '<div class="item"><div class="img"><img src="images/help_move.png" /></div><div class="txt">Ruch</div></div>', 
	search: '<div class="item"><div class="img"><img src="images/enter.png" /></div><div class="txt">Szukaj</div></div>', 
	enter:  '<div class="item"><div class="img"><img src="images/enter.png" /></div><div class="txt">Wybierz</div></div>', 
	full:   '<div class="item"><div class="img"><img src="images/enter.png" /></div><div class="txt">Pełen ekran</div></div>'
};
FX.Footer = {};
FX.Footer.load = function(options) {
	var tmp = {}, i;
    for (i = 0; i < arguments.length; i++) {
		logger.debug('FX.Footer.load: argument: ' + arguments[i]);
        if (FooterOptions[arguments[i]]) {
			tmp[arguments[i]] = FooterOptions[arguments[i]];
		}
	}
	
	FooterView.loadData(tmp);
};

FX.FullscreenFooter = {};
FX.FullscreenFooter.load = function(options) {
	var tmp = {}, i;
    for (i = 0; i < arguments.length; i++) {
		logger.debug('FX.Footer.load: argument: ' + arguments[i]);
        if (FooterOptions[arguments[i]]) {
			tmp[arguments[i]] = FooterOptions[arguments[i]];
		}
	}
	
	FullscreenFooterView.loadData(tmp);
};

FX.Menu = {};
FX.Menu.resetOverflow = function(elementId) {
	DOMUtil.removeClassName(elementId, 'inactive');
	DOMUtil.removeClassName(elementId, 'active');
};
FX.Menu.onOverflowTop = function(elementId, isUp) {
    if (isUp === null) {
        ;
    } else {
        if (isUp === true) {
            DOMUtil.toggleClassName(elementId, 'inactive', 'active');
        } else {
            DOMUtil.toggleClassName(elementId, 'active', 'inactive');
        }
    }
}; 
FX.Menu.onOverflowBottom = function(elementId, isDown) {
    if (isDown === null) {
        ;
    } else {
        if (isDown === true) {
            DOMUtil.toggleClassName(elementId, 'inactive', 'active');
        } else {
            DOMUtil.toggleClassName(elementId, 'active', 'inactive');
        }
    }
}; 
FX.Menu.onButtonFocus = function(element, data) {
	DOMUtil.addClassName(element, 'focussed');
}; 
FX.Menu.onButtonBlur = function(element, data) {
	DOMUtil.removeClassName(element, 'focussed');
}; 

FX.Grid = {};
FX.Grid.fillElement = function(element, data) {
	var image_focussed = new Image();
	var image = new Image();
    var title = FX.Title.prepare(data.title);
	image_focussed.src = data.img_src.replace(/width_141/i, "width_157");
	image_focussed.width = 157;
	image_focussed.height = 117;
	image.src = data.img_src;
	image.width = 141;
	image.height = 105;
	element.innerHTML = '<div class="content"><div class="img"><img width="' + image.width + '" height="' + image.height + '" src="' + image.src + '"/></div><div class="img_focussed"><img width="' + image_focussed.width + '" height="' + image_focussed.height + '" src="' + image_focussed.src + '"/></div><div class="txt">' + title + '</div></div>'; 
	DOMUtil.show(element);
};

FX.Grid.emptyElement = function(element) {
	Main.UI.put(element, '');
};
FX.Grid.elementFocus = function(element, data) {
	DOMUtil.addClassName(element, 'focussed');
};
FX.Grid.elementBlur = function(element, data) {
	DOMUtil.removeClassName(element, 'focussed');
};
FX.Search = {};
FX.Search.clickButton = function(elementId) {
	var element = DOMUtil.getElement(elementId);
	DOMUtil.addClassName(element, 'focussed');
	setTimeout(function() { DOMUtil.removeClassName(element, 'focussed'); }, 300);
};
FX.Search.focusModeButton = function(elementId) {
	DOMUtil.addClassName(elementId, 'active');
};
FX.Search.blurModeButton = function(elementId) {
	DOMUtil.removeClassName(elementId, 'active');
};
FX.Search.putLabel = function(elementId, value) {
	Main.UI.put(DOMUtil.getElement(elementId), value);
};
FX.Search.hintElement = function(character, isActive) {
	return '<span class="' + (isActive ? 'active' : 'inactive') + '">' + character + '</span>';
};
FX.Search.showHints = function(element, values) {
	Main.UI.put(element, values);
	DOMUtil.show(element);
};
FX.Search.hideHints = function(element, values) {
	Main.UI.put(element, values);
	DOMUtil.empty(element);
};
FX.Search.queryElement = function(character, isActive) {
	return '<span class="' + (isActive ? 'active' : '') + '">' + character + '</span>';
};

FX.Title = {};
FX.Title.prepare = function(str) {
	var skipChars = [' ', ',', '.', ';', '-'];
	var len = 46;
	var result = '';
	var i = len;
	if (str.length > len) {
		while (i--) {
			if (str[i] == ' ') {
				while (skipChars.contains(str[i])) { i--; }
				break;
			}
		}
		result = str.substring(0, i + 1);
	} else {
		result = str;
	}
	return result;
};
