var Audio = {
	plugin: null,
};

Audio.init = function() {
	Audio.plugin = document.getElementById('pluginAudio');
	return this.plugin != null;
};

Audio.setRelativeVolume = function(delta) {
	var tmp = 'volume: ' + this.plugin.GetVolume();
	tmp += ', systemMute: ' + this.plugin.GetUserMute();
	tmp += ', userMute: ' + this.plugin.GetUserMute();
    logger.debug('Audio.setRelativeVolume: ' + tmp);
	if (Audio.plugin.GetUserMute() == 1) {
		Audio.plugin.SetUserMute(0);
	}
	Audio.plugin.SetVolumeWithKey(delta);
};

Audio.toggleMute = function() {
    logger.debug('Audio.toggleMute: ' + Audio.plugin.GetUserMute());
	if (Audio.plugin.GetUserMute() == 0) {
		Audio.plugin.SetUserMute(1);
	} else {
		Audio.plugin.SetUserMute(0);
	}
};
Audio.setMute = function(mute) {
    Audio.plugin.SetUserMute(mute);
};
Audio.getMute = function() {
	return Audio.plugin.GetUserMute();
}
Audio.getVolume = function() {
    return this.plugin.GetVolume();
};

