var FooterView = clone(View);
FooterView.init = function(name, options) {
	this._init(name, options);
	var u = name + '-user';
	var o = name + '-options';
	this.userElement = document.getElementById(u);
	this.optionsElement = document.getElementById(o);

	if (!this.userElement || !this.optionsElement) {
		reportMissingElements(u, o);
	}
	options = options || {};
	if (options.userName) Main.UI.put(this.userElement, options.userName);
};

FooterView.loadData = function(data, options) {
	options = options || {};
	if (options.userName) Main.UI.put(this.userElement, options.userName);

	var tmp = '', key;
	for (key in data) {
		if (data.hasOwnProperty(key)) {
			logger.debug('data [key]: ' + key + ' -> ' + data[key]);
			tmp += data[key];
		}
	}
	Main.UI.put(this.optionsElement, tmp);
};


